Bug 1566929 - [RFE] Use OpenStack Neutron DNS for internal name resolution [NEEDINFO]
Summary: [RFE] Use OpenStack Neutron DNS for internal name resolution
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
: 3.11.z
Assignee: Tomas Sedovic
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 07:55 UTC by Tomas Sedovic
Modified: 2019-06-14 14:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 14:43:37 UTC
Target Upstream Version:
erich: needinfo? (racedoro)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-ansible pull 9169 0 None closed Add support for OpenStack internal DNS 2020-09-14 10:17:54 UTC

Description Tomas Sedovic 2018-04-13 07:55:05 UTC
The OCP deployer will request using Neutron DNS within the standard openshift-ansible configuration. This includes configuring the desired domain of the OCP cluster (but this has to happen in all OCP deployments). They will use openshift-ansible to deploy OCP.

This will succeed, but they will have to configure the API and wildcard public DNS entries to make the cluster accessible.

Comment 1 Tomas Sedovic 2018-07-12 09:51:23 UTC
Pull request: https://github.com/openshift/openshift-ansible/pull/9169

As it turns out, we can do this even without https://bugzilla.redhat.com/show_bug.cgi?id=1599377.

Although having that feature will probably make things nicer.

Comment 2 N. Harrison Ripps 2018-09-21 20:12:17 UTC
Per OCP program call on 21-SEP-2018 we are deferring Kuryr-related bugs to 3.11.z

Comment 4 weiwei jiang 2018-12-21 09:37:33 UTC
Since OCP QE side just use internal public OSP, so need OSP qe side for this bug's verification.

Comment 10 Eric Rich 2019-06-14 14:43:37 UTC
Closing as this is now being tracked in https://jira.coreos.com/browse/OSASINFRA-525


Note You need to log in before you can comment on or make changes to this bug.